安装angularcli以及失败原因的解决


由于Angular4升级了,旧版的Angular-Cli支持性不是很好,所以Angular-Cli也需要升级更新,本质就是删除掉以前的,再重新安装就好了。
Angular-Cli is more than tool,it is a platform!

一、安装Angular-Cli

经过n次的失败安装,终于在最后一次安装成功,为了使同学们少走弯路,现将经验写下来:

1、查看你的node以及npm版本:

node -v   查看node版本
npm -v    查看npm版本

要求所有版本都是最新的,不然可能会出错。

2、设置淘宝镜像,这样下载东西就是从国内网站下载了,网速更快

npm config set registry  https://registry.npm.taobao.org

3、因为angular-cli是用typescript写的,所以要先装这两个:

npm install -g typescript typings

4、安装angular-cli:

npm install -g angular-cli@latest

上面这个语句安装的最新版本是28.3,angular-cli@1.0.0-beta.28.3: 并且可能会报这个错

npm WARN deprecated angular-cli@1.0.0-beta.28.3: angular-cli has been renamed to @angular/cli. Please update
your dependencies.

最新版安装应该是

npm install -g @angular/cli

安装成功之后,这时运行ng -v是这样的
_ _ ____ _ ___
/ \ _ __ __ _ _ _| | __ _ _ __ / ___| | |_ _|
/ △ \ | '_ \ / _` | | | | |/ _` | '__| | | | | | |
/ ___ \| | | | (_| | |_| | | (_| | | | |___| |___ | |
/_/ \_\_| |_|\__, |\__,_|_|\__,_|_| \____|_____|___|
|___/
@angular/cli: 1.3.2
node: 8.4.0
os: win32 x64


包之间的依赖也发生改变了。
如果你之前安装失败过,最好在安装angular-cli之前先卸载干净,用以下两句:
卸载旧版本
npm uninstall -g angular-cli
npm cache clean

卸载新版本
npm uninstall @angular/cli

可能新版本会提示使用npm cache verify删除,可能删除不成功,强制删除

npm cache verify --force

同时,在检查你全局的那些npm文件下还残留下图这两个文件,
路径:C盘-->用户-->你登录的账户-->AppData-->Roaming-->npm


有的话也要删掉,删掉后再运行

npm install -g @angular/cli

二、失败以及解决办法

    1、缺少Python环境     

  1. 下载     http://www.cnblogs.com/liangxiaojie/p/4595406.html  ;
  2. 安装     最好安装在C盘;
  3. 配置环境变量,有些同学是在公司,有时候没有权限配置系统环境变量,那么在用户变量哪里配置也是可以的电脑->属性->高级配置->环境变量->把安装的Python路径复制到path里面就可以了 。
阅读更多
个人分类: angular
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

不良信息举报

安装angularcli以及失败原因的解决

最多只允许输入30个字

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭